#!/bin/bash

set -e
if [ -n "$CERC_SCRIPT_DEBUG" ]; then
  set -x
fi

echo "Using the following env variables:"
echo "SUMSUB_APP_TOKEN: ${SUMSUB_APP_TOKEN}"
echo "SUMSUB_SECRET_KEY: ${SUMSUB_SECRET_KEY}"
echo "KYC_LEVEL: ${KYC_LEVEL}"
echo "TTL_IN_SECS: ${TTL_IN_SECS}"

SUMSUB_APP_TOKEN=$SUMSUB_APP_TOKEN \
SUMSUB_SECRET_KEY=$SUMSUB_SECRET_KEY \
KYC_LEVEL=$KYC_LEVEL \
TTL_IN_SECS=$TTL_IN_SECS \
node dist/index.js
